1002:5975 [Dell Inspiron 1501] vertical coloured lines / herringbone pattern on startup

Bug #1234429 reported by Chris Hermansen on 2013-10-02
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

This problem occurs intermittently on my Dell Inspiron 1501 laptop. For instance, on booting the Saucy beta 2 release from USB stick; or today, booting the installed 13.10 beta 2 with all updates current. But not always. The screen is 100% illegible when this happens.

WORKAROUND: Wait for the screen to blank on power save; when it is reactivated, the display is fine. Or if screen blanking is not engaged, close the lid, wait, and open it again.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: linux-image-3.11.0-11-generic 3.11.0-11.17
ProcVersionSignature: Ubuntu 3.11.0-11.17-generic 3.11.3
Uname: Linux 3.11.0-11-generic i686
ApportVersion: 2.12.5-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: chris 2520 F.... pulseaudio
Date: Wed Oct 2 15:02:02 2013
HibernationDevice: RESUME=UUID=048b201c-8624-4725-829b-494813ad22d1
InstallationDate: Installed on 2013-10-01 (1 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Beta i386 (20130925.1)
MachineType: Dell Inc. Inspiron 1501
MarkForUpload: True
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-11-generic root=UUID=0af7925d-8330-4b61-8598-b7b32a88aac2 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-11-generic N/A
 linux-backports-modules-3.11.0-11-generic N/A
 linux-firmware 1.116
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: yes
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/15/2006
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 2.3.0
dmi.board.name: 0UW744
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnDellInc.:bvr2.3.0:bd03/15/2006:svnDellInc.:pnInspiron1501:pvrNotSpecified:rvnDellInc.:rn0UW744:rvr:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Inspiron 1501
dmi.product.version: Not Specified
dmi.sys.vendor: Dell Inc.

Chris Hermansen (c-hermansen) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: bios-outdated-2.6.3 needs-upstream-testing regression-potential
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
Chris Hermansen (c-hermansen) wrote :

Christopher Penalver (message #3) I have experimented with the bios upgrade as you suggest.

I managed to upgrade the bios as you requested to 2.6.3 but this does not seem to solve the problem; when I boot from today's Saucy image, I still get the weird herringbone stripey screen. The workaround is still to wait for the screen to blank and then when it reactivates it appears to be normal.

I do not understand your comment "Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful".

I will assume that you mean I must do the update before I do the sudo dmidecode... and not that you mean opening a new bug report. If I assume incorrectly, please let me know.

Therefore, the results of the commands are:

clh@valencia:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
2.6.3
12/07/2007
clh@valencia:~$

In case anyone else is interested, I made a valiant effort to update the bios from Linux but this is one of those new bios updaters that "must" be run from Windows, and I could not get any of the methods noted in the link provided by Christopher to work.

I am therefore embarrassed to say that I had the Windows install disks handy and therefore used them to upgrade the bios. On the bright side, this is the first time since 2005 that I have used Windows to do anything.

Chris Hermansen, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily kernel folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-2.6.3
removed: bios-outdated-2.6.3
description: updated
summary: - vertical coloured lines / herringbone pattern on startup
+ [Dell Inspiron 1501] vertical coloured lines / herringbone pattern on
+ startup
summary: - [Dell Inspiron 1501] vertical coloured lines / herringbone pattern on
- startup
+ 1002:5975 [Dell Inspiron 1501] vertical coloured lines / herringbone
+ pattern on startup
Chris Hermansen (c-hermansen) wrote :

Christopher Penalver, thank you for your continued interest in sorting out this problem.

Following your instructions, I have installed kernel 3.12.0-031200rc6. So far I am unable to make the stripey / herringbone pattern show up (neither on reboot nor on cold boot). In contrast I booted twice with the current production kernel 3.11 and both times got the stripey herringbone pattern.

This sounds good and I guess it is, so I will change the tags to fixed upstream as per your instructions, but I will continue to test booting (sorry to sound pessimistic).

One thing I notice with the new kernel is the following behaviour:

- after the bios splash screen goes away, I see a purple ("aubergine") colour to the screen, with no other detail. this lasts for a few seconds.
- then I see this message in white text at the top left of the screen (also repeated in /var/log/syslog)

TIMER: vector=0x30 apic1=0 pin1=0 apic2=-1 pin2=-1
MP-BIOS bug: 8254 timer not connected to IO-APIC

- after two - three seconds, the screen changes to the purple background with the Ubuntu logo and the orange/white dot progression and boot proceeds as normal.

In contrast, what I saw with the previous kernel was the same purple coloured screen with no other detail, followed by a brief flash and then the stripey / herringbone pattern; at which point I waited for the drum roll, closed the lid, let the laptop suspend, opened the lid, and all was fine.

I am wondering if it's possible that the appearance of the two error messages above somehow creates conditions where the screen remains in a reasonable state. Anyway, as I say I will continue testing.

Thank you very much.

tags: added: kernel-fixed-upstream kernel-fixed-upstream-v3.12-rc6
removed: needs-upstream-testing
Chris Hermansen (c-hermansen) wrote :

Sorry an error in my above post. The two messages that flash on screen between the all-purple screen and the Ubuntu splash screen are:

MP-BIOS bug: 8254 timer not connected to IO-APIC
ata3: softreset failed (device not ready)

The all-purple screen lasts for about 20 seconds. The two messages above last for about 3-5 seconds.

Still seems to boot fine ie without the stripey / herringbone effect.

Chris Hermansen (c-hermansen) wrote :

AHA!!!

Tonight I booted the machine and all worked fine. Then I rebooted and got stripey herringbone display.

So in fact it is not fixed in 3.12.RC6 and I have changed the tags.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.12-rc6
removed: kernel-fixed-upstream kernel-fixed-upstream-v3.12-rc6
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Chris Hermansen, did this problem not occur in a release prior to Saucy?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Chris Hermansen (c-hermansen) wrote :

Christopher, I have had this problem to one degree or another with every Ubuntu release since I converted this laptop from running Windows XP to running Ubuntu, which if memory serves was in 2010 or 2011.

For clarity: in Saucy, the problem does not occur on every boot (cold boot or reboot). I would hazard a guess that it occurs about half the time or maybe a little less. I believe I can remember past releases where it occurred more often, perhaps on every boot. I also believe there was one release where it went away entirely.

Chris Hermansen, so this was reproducible in as early as Lucid?

Chris Hermansen (c-hermansen) wrote :

Christopher, please see the comment

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/572521/comments/73

It appears I reported this against Frank Lovegrove's bug 572521 as affecting me in 10.04 and 10.10

Chris Hermansen, does nomodeset still povide a WORKAROUND for you in current releases?

tags: added: lucid maverick
Chris Hermansen (c-hermansen) wrote :

Christopher, based on your question, I added NOMODESET to /etc/default/grub definition of GRUB_CMDLINE_LINUX_DEFAULT, ran update-grub, and rebooted.

Short answer - it no longer provides any salubrious effect.

Long answer:

The system booted into stripey / herringbone display, though there were some pure-white patches interspersed with the herringbone pattern.

I closed the lid, waited a moment, and opened it, and the display appeared to be in a lower resolution mode. I logged in and checked; sure enough, it was in 1024 X 768 rather than 1280 X 800, and I could not select that higher resolution mode in screen settings - it was not offered. Also the video performance was v e r y s l o w.

So I removed the NOMODESET and rebooted. I guess today is a good day for rebooting as I did not get the herringbone / stripey pattern on this boot.

One other odd effect I have noticed.

If the system boots into SHM (stripey herringbone mode) and I correct it by closing the lid and reopening it again, subsequently after screen blanking the screen reappears in SHM. I don't recall this behaviour in the past.

Chris Hermansen (c-hermansen) wrote :

Just a brief followup to the odd efect noted above in #14. On this boot, which resulted in an SHM-free greeting, I left the computer idle, and after the screen blank engaged, I wiggled the touchpad to awaken the screen, and it was again SHM-free.

I will avoid concluding anything from that experience!

Chris Hermansen, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream ?

Thank you for your understanding.

tags: removed: regression-potential
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Chris Hermansen (c-hermansen) wrote :

Christopher, I am ready to report this bug upstream. I have read the process described in your link carefully but I still have one uncertainty arising from my general ignorance of these matters; would you please be so kind as to provide some advice?

The instructions provided in your link suggest that I am "to find the maintainer of the driver for the bug from the MAINTAINERS list".

I am not sure that this is a driver bug, nor am I sure in which module it occurs.

Therefore, I am considering following the advice given on https://www.kernel.org/pub/linux/docs/lkml/reporting-bugs.html which states

"If you are totally stumped as to whom to send the report, send it to <email address hidden>. (For more information on the linux-kernel mailing list see http://www.tux.org/lkml/)".

Does this seem correct to you?

Thanks in advance.

Christopher, thank you very much for your guidance. I won't be able to
submit the information until the 13th as I am away from that computer until
then.

Chris Hermansen
On 2013-11-02 5:20 AM, "Christopher M. Penalver" <
<email address hidden>> wrote:

> Chris Hermansen, given your graphics card is using the Radeon driver, I
> would send this to:
> RADEON FRAMEBUFFER DISPLAY DRIVER
> L: <email address hidden>
> S: Maintained
> F: drivers/video/aty/radeon*
> F: include/uapi/linux/radeonfb.h
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1234429
>
> Title:
> 1002:5975 [Dell Inspiron 1501] vertical coloured lines / herringbone
> pattern on startup
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1234429/+subscriptions
>

Anthony Matt (tonym924) wrote :

I have display problems with a Dell Vostro 1000 (2.4.1 BIOS, similar hardware to Inspiron 1501) on Lubuntu 14.04. Vertical lines on boot, whether with LiveCD (USB stick) or installed on hard drive. No herringbones or purple screens.

Observations:
1. Nomodeset works (albeit stuck in 1024 x 768) because it causes driver 'radeon' to unload, and X falls back to the vesa driver (per Xorg.0.log).
2. External VGA monitor (ViewSonic VA912b) always works in cloned display mode, but when attached does not appear to change the laptop screen behavior.
3. Return after 'Switch off display' or 'Put display to sleep' (in Xfce Power Manager) sometimes restores display, other times results in blank laptop screen (no image, no lines) or vertical lines; display that is set to lower resolution shows only part of desktop (crops rather than shrinks to fit entire desktop).
4. Laptop lid behavior: Lock Screen option does not fix vertical lines, does not break normal screen; Suspend sometimes fixes vertical lines.
5. Changing LVDS monitor resolution or refresh rate (in Monitor Settings GUI) always causes LVDS to display vertical lines. Turning LVDS off, then on sometimes restores screen from vertical line state.
6. Behaviors in 3-5 appear to be time/temperature dependent - restoring the screen works consistently for ~1 hour (from first boot of the day), then works less frequently until not at all.
7. Errors (probably unrelated) on screen displayed when returning from Suspend: ata1: softreset failed (device not ready)
8. No monitors.xml in ~/.config; no xorg.conf.
9. xrandr reports various LVDS resolutions from 640 x 480 up to 1280 x 800.

Was an upstream bug ever filed for this issue?
I'm willing to supply logs etc to help resolve this bug.

Thanks,
Tony

Chris Hermansen (c-hermansen) wrote :

Hi Tony and others,

I had planned to file an upstream bug but my inspiron (because of this
problem and a problem with the Broadcomm wireless) is very awkward to
test... So I have not - yet anyway - done that.

Regards, Chris Hermansen
On May 9, 2014 9:10 PM, "Anthony Matt" <email address hidden> wrote:

> I have display problems with a Dell Vostro 1000 (2.4.1 BIOS, similar
> hardware to Inspiron 1501) on Lubuntu 14.04. Vertical lines on boot,
> whether with LiveCD (USB stick) or installed on hard drive. No
> herringbones or purple screens.
>
> Observations:
> 1. Nomodeset works (albeit stuck in 1024 x 768) because it causes driver
> 'radeon' to unload, and X falls back to the vesa driver (per Xorg.0.log).
> 2. External VGA monitor (ViewSonic VA912b) always works in cloned display
> mode, but when attached does not appear to change the laptop screen
> behavior.
> 3. Return after 'Switch off display' or 'Put display to sleep' (in Xfce
> Power Manager) sometimes restores display, other times results in blank
> laptop screen (no image, no lines) or vertical lines; display that is set
> to lower resolution shows only part of desktop (crops rather than shrinks
> to fit entire desktop).
> 4. Laptop lid behavior: Lock Screen option does not fix vertical lines,
> does not break normal screen; Suspend sometimes fixes vertical lines.
> 5. Changing LVDS monitor resolution or refresh rate (in Monitor Settings
> GUI) always causes LVDS to display vertical lines. Turning LVDS off, then
> on sometimes restores screen from vertical line state.
> 6. Behaviors in 3-5 appear to be time/temperature dependent - restoring
> the screen works consistently for ~1 hour (from first boot of the day),
> then works less frequently until not at all.
> 7. Errors (probably unrelated) on screen displayed when returning from
> Suspend: ata1: softreset failed (device not ready)
> 8. No monitors.xml in ~/.config; no xorg.conf.
> 9. xrandr reports various LVDS resolutions from 640 x 480 up to 1280 x 800.
>
> Was an upstream bug ever filed for this issue?
> I'm willing to supply logs etc to help resolve this bug.
>
> Thanks,
> Tony
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1234429
>
> Title:
> 1002:5975 [Dell Inspiron 1501] vertical coloured lines / herringbone
> pattern on startup
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1234429/+subscriptions
>

Anthony Matt, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream

Chris Hermansen, when you do get a chance to file an upstream report, you would want to first test the latest mainline kernel available first (now http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc5-utopic/ ). Only if reproducible, you would then want to send it to <email address hidden> .

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers